services:
  tailscale:
    image: tailscale/tailscale:latest
    container_name: tailscale
    hostname: flook
    environment:
      - TS_AUTHKEY=tskey-auth-kZn3UM8oYb11CNTRL-bmEm5L24juLZmhAVwyLYvLBSco33BVM5D
      - TS_STATE_DIR=/var/lib/tailscale
      - TS_USERSPACE=false
    volumes:
      - /mnt/user/appdata/tailscale:/var/lib/tailscale
      - /dev/net/tun:/dev/net/tun
    cap_add:
      - NET_ADMIN
      - NET_RAW
    network_mode: host
    restart: unless-stopped
